package responses

import (
	"git.agecem.com/agecem/bottin-agenda/models"
)

type GetHealthResponseData struct {
	Bottin   string `json:"bottin"`
	Database string `json:"database"`
}

type GetHealthResponse struct {
	Message string                `json:"message"`
	Data    GetHealthResponseData `json:"data"`
}

type PostSeedResponse struct {
	Message string `json:"message"`
}

type PostTransactionsResponseData struct {
	Transactions []models.Transaction `json:"transactions"`
}

type PostTransactionsResponse struct {
	Message string                       `json:"message"`
	Data    PostTransactionsResponseData `json:"data"`
}

type GetTransactionsResponseData struct {
	Transactions []models.Transaction `json:"transactions"`
}

type GetTransactionsResponse struct {
	Message string                      `json:"message"`
	Data    GetTransactionsResponseData `json:"data"`
}
